> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Capture Transaction

> This endpoint captures a previously authorized transaction.



## OpenAPI

````yaml /openapi.json post /card/auth_capture/capture
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /card/auth_capture/capture:
    post:
      tags:
        - Auth-Capture-Void
      summary: Capture Transaction
      description: This endpoint captures a previously authorized transaction.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/captureTransactionRequest'
            examples:
              Capture Transaction:
                summary: Capture Transaction
                value:
                  authorization_reference: AUTH-ABCD1234EFGH5678IJKL
                  capture_reference: CAP-001
      responses:
        '200':
          description: Capture Transaction
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/captureTransactionResponse'
              examples:
                Success Response:
                  summary: Success Response
                  value:
                    authorization_reference: AUTH-1234567890
                    status: AUTHORIZED
                    authorization_code: '123456'
                    authorized_amount: 100
                    currency: NGN
                    expires_at: '2025-01-19T10:30:00'
                    message: Authorization successful
                Error Response:
                  summary: Error Response
                  value:
                    status: ERROR
                    message: Authorization has expired
                    error_code: AUTH_EXPIRED
                    error_message: Authorization has expired
        '400':
          description: Invalid request
      security:
        - ApiKeyAuth: []
components:
  schemas:
    captureTransactionRequest:
      title: Capture Transaction
      type: object
      required:
        - authorization_reference
        - capture_reference
      properties:
        authorization_reference:
          type: string
          description: The authorization reference from authorize response..
          example: AUTH-ABCD1234EFGH5678IJKL
        capture_reference:
          type: string
          description: the Unique reference for this capture operation.
          example: CAP-001
    captureTransactionResponse:
      title: Capture Transaction Response
      type: object
      properties:
        status:
          type: string
          description: Status of the capture operation (e.g., AUTHORIZED, ERROR).
          example: AUTHORIZED
        message:
          type: string
          description: Descriptive message about the operation status.
          example: Authorization successful
        authorization_reference:
          type: string
          nullable: true
          description: The reference of the authorization being captured.
          example: AUTH-1234567890
        authorization_code:
          type: string
          nullable: true
          description: Authorization code for the captured transaction.
          example: '123456'
        authorized_amount:
          type: number
          nullable: true
          description: The amount successfully captured.
          example: 100
        currency:
          type: string
          nullable: true
          description: Currency code.
          example: NGN
        expires_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp related to authorization expiration (if relevant).
          example: '2025-01-19T10:30:00'
        error_code:
          type: string
          nullable: true
          description: Error code if the capture failed.
          example: AUTH_EXPIRED
        error_message:
          type: string
          nullable: true
          description: Detailed error description.
          example: Authorization has expired
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````